Bug 984900 - emacs freezes during lengthy file load or autosave
emacs freezes during lengthy file load or autosave
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
19
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 06:17 EDT by Michael Selway
Modified: 2015-02-17 11:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:11:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Selway 2013-07-16 06:17:36 EDT
Description of problem:
Emacs freezes and won't respond to mouse or keyboard or emacsclient.  The window manager gives an "is not responding" message when asked to close the window.

The problem is triggered by typing on the keyboard fairly rapidly during a long auto-save or file load.

This is different from Bug 790545 because it doesn't happen when invoked "-nw" (no windowing system), and the toolbar buttons don't highlight on mouse hover.

Version-Release number of selected component (if applicable):
emacs-24.2-18.fc19.x86_64
(GNU Emacs 24.2.1)

How reproducible:
Easily

Steps to Reproduce:
1. create a large text file, e.g. "od -cccccccccc /bin/bash >/tmp/testfile

2. read into emacs: "emacs -Q /tmp/testfile", then answer "y" when prompted "File is large, really open?"

3. type quickly at the keyboard while the file is loading (several keystrokes per second)

Actual results:
emacs finishes loading the file, displays it along with some of the typed characters, and freezes.  Mouse cursor is not displayed over the main part of the emacs window.

(Sometimes the file contents is not displayed, sometimes the typed input is not displayed, sometimes the mouse cursor remains displayed as a spinning "busy" roundel.  But emacs is still frozen.)

Expected results:
emacs should respond to keyboard and mouse activity once the large file has been loaded.

Additional info:
This started happening immediately on upgrading from F17 to F19 (FedUp).
I use Gnome.
Comment 1 Michael Selway 2013-07-16 07:34:20 EDT
> Steps to Reproduce:
> 1. create a large text file, e.g. "od -cccccccccc /bin/bash >/tmp/testfile

I meant to say "od -cccccccccc /bin/emacs >/tmp/testfile" which makes a 431 Mbyte file.
Comment 2 Michael Selway 2013-09-17 05:51:12 EDT
I switched from Gnome to OpenBox a few weeks ago: the problem doesn't manifest itself under OpenBox.  So you need to run Gnome to reproduce it.
Comment 3 Fedora End Of Life 2015-01-09 13:56:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:11:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.